<?php
session_start(); 
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	   $id_cd=$sesion->id;
     $x=1;
     $listaproducto[]=NULL;
     $listacantidad[]=NULL;

extract($_POST);
$totped=0;

for($i=0;$i<$trow;$i++)
{
  $contenidopedido="SELECT productos.nombreprod ,cant from pedido
   inner join productos on pedido.productos_idprod=productos.id_prod 
   where pedido.transacciones_idtransacciones=$pedido[$i]";

  $pedidoquery=mysqli_query($conexion, $contenidopedido);
  while($listapedido=mysqli_fetch_array($pedidoquery))
  { 
    $existeprod=array_search($listapedido[0],$listaproducto);
    if($existeprod==FALSE)
    {
     if($listaproducto[1]==NULL)
     {
      $listaproducto[$x]=$listapedido[0];
      $listacantidad[$x]=$listapedido[1];
      $x++;
     
     }
     else
     {
      $listaproducto[$x]=$listapedido[0];
      $listacantidad[$x]=$listapedido[1];
      $x++;
     
     }
    }
    else
     {
      $listacantidad[$existeprod]+=$listapedido[1];
     } 
  }


  }

  $numero_grupo="SELECT num_grupo from pedido_agrupado order by num_grupo DESC LIMIT 1";
  $consulta_num_g=mysqli_query($conexion, $numero_grupo) or die("No se pudo conseguir numero para agrupar") ;
  $grupo=mysqli_fetch_row($consulta_num_g);
  $grupo[0]+=1;
 
  echo "<center><table><tr><td width=\"300\">";echo "<center>";
  echo "<h2>Resumen de Pedidos # $grupo[0]</h2>";
  echo "Pedidos en este resumen:";


  echo "<table border='1'>";
    echo "<tr><td>Transaccion:</td><td>Pedido:</td><td>cantidad:</td></tr>";

 for($j=0;$j<count($pedido);$j++)
 {
  $qcc1 = "SELECT usuarios_ci_idusuarios_ci, consec, cantidad FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE idtransacciones=$pedido[$j]";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
   echo "<tr><td>$pedido[$j]</td><td>$rrc[0] - $rrc[1]</td><td>$ $rrc[2]</td></tr>"; $totped+=$rrc[2];
   $agrupar="UPDATE transacciones set statusentrega='AGRUPADO' where idtransacciones='$pedido[$j]'";
   mysqli_query($conexion, $agrupar) or die ("No se pudo actualizar la transaccion");
   $guardar_agrupado="INSERT INTO pedido_agrupado (num_grupo,id_transacciones) values('$grupo[0]','$pedido[$j]')";
   mysqli_query($conexion, $guardar_agrupado) or die("No se pudo realizar el respado de agrupacion");
 }

  echo "</table>";
  echo "Total $ $totped";


echo "<br><br>";

//
  
  echo "<table border='1'>";
    echo "<tr><td>Cant</td><td>Producto</td></tr>";
 for($j=1;$j<$x;$j++)
 {

   echo "<tr><td>$listacantidad[$j]</td><td>$listaproducto[$j]</td></tr>";

 }

  echo "</table>";
  echo "</td><td width=\"30\"></td><td width=\"300\">";echo "<center>";
echo "<h2>Resumen de Pedidos # $grupo[0]</h2>";
echo "Pedidos en este resumen:";


  echo "<table border='1'>";
    echo "<tr><td>Transaccion:</td><td>Pedido:</td><td>cantidad:</td></tr>";
 for($j=0;$j<count($pedido);$j++)
 {
  $qcc1 = "SELECT usuarios_ci_idusuarios_ci, consec, cantidad FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE idtransacciones=$pedido[$j]";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
   echo "<tr><td>$pedido[$j]</td><td>$rrc[0] - $rrc[1]</td><td>$ $rrc[2]</td></tr>";

 }

  echo "</table>";
  echo "Total $ $totped";


echo "<br><br>";

//
  
  echo "<table border='1'>";
    echo "<tr><td>Cant</td><td>Producto</td></tr>";
 for($j=1;$j<$x;$j++)
 {

   echo "<tr><td>$listacantidad[$j]</td><td>$listaproducto[$j]</td></tr>";

 }

  echo "</table></td></tr></table></center>";

